<div class="p-20">

	<div class="breadcrumbs">
		<a class="breadcrumbs__item"
			routerLink="../"
			(click)="goToEntrantList()">
			<span> К списку абитуриентов </span>
		</a>
	</div>

	<div fxLayout="row" class="py-20 border-bottom" fxLayoutAlign="start end">
		<div >
			<article class="entrant-card">
				<mat-progress-bar mode="indeterminate" *ngIf="dataPhoto && isLoad"></mat-progress-bar>
				<figure *ngIf="imageToShow && dataPhoto; else placeholder" class="entrant-card__photo"
					[@animate]="{value:'*',params:{delay:'200ms',y:'-15px', opacity: .8}}">

					<img [src]="imageToShow" alt="фото абитуриента" (click)="fullPhoto()"
						class="entrant-card__photo entrant-card__photo--response">
				</figure>

				<ng-template #placeholder>
					<div class="entrant-card__photo--placeholder"  fxLayoutAlign="center center">
						<img src="../assets/icons/user_photo.svg" alt="фото абитуриента отсутствует">
					</div>
				</ng-template>
				<div class="entrant-card__btn-wrap">
					<button mat-mini-fab
						[matMenuTriggerFor]="menuProto">
						<mat-icon svgIcon="dots-vertical"> </mat-icon>
					</button>
					<mat-menu #menuProto="matMenu">
						<button mat-menu-item (click)="openDialogUploadPhoto()">Добавление фото</button>
						<button mat-menu-item *ngIf="dataPhoto" (click)="openDeleteDialog()">Удалить фото</button>
					</mat-menu>

				   <!--<mat-accordion>
					 <mat-expansion-panel>
					   <mat-expansion-panel-header>

						 <mat-panel-description>
						   <div mat-button style="font-size: small" *ngIf="!dataPhoto">Добавление фото</div>
						   <div mat-button style="font-size: small" *ngIf="dataPhoto">Редактирование фото</div>
						 </mat-panel-description>
					   </mat-expansion-panel-header>


					    <button mat-button color="warn" (click)="openDialog()" *ngIf="dataPhoto">Удалить</button>
						<button mat-button color="primary" (click)="uploadPhoto()" *ngIf="!form.pristine">Загрузить</button>
						<div [formGroup]="form">
						  <app-file-upload formControlName="file" class="m-20"></app-file-upload>
						</div>

					 </mat-expansion-panel>

				   </mat-accordion>-->
				 </div>


			</article>
		</div>
		<div *ngIf="entrantInfo" class="mb-8" >
			<div class="mb-16">
				<h3> {{entrantInfo.surname}} {{entrantInfo.name}} {{entrantInfo.patronymic}} </h3>
			</div>

			<div class="mb-8"  fxLayout="row" fxLayoutAlign="start center" >
				<mat-icon svgIcon="calendar" class="mr-16" color="primary" matTooltip="Дата рождения"></mat-icon>
				<h5> {{entrantInfo.birthday| date: 'dd.MM.yyyy'}} </h5>
			</div>

			<div fxLayout="row" fxLayoutAlign="start center" class="">
				<mat-icon svgIcon="card-bulleted-outline" class="mr-16" color="primary" matTooltip="СНИЛС"></mat-icon>
				<h5> {{ entrantInfo.snils}} </h5>
			</div>
		</div>
	</div>





</div>


<section fxLayout="row" fxLayoutAlign="start stretch" class="content">
	<div fxLayout="column" fxFlex="1 0 auto" class="side">
		<mat-nav-list>


			<ng-container *ngFor="let item of menu">
				<ng-container *ngIf="!item.children; else navWithChildren">
					<a [routerLink]="['./'+item.router]"
						routerLinkActive="active"
						[routerLinkActiveOptions]="{ exact: true }"
						mat-list-item
					> {{item.title}} </a>
				</ng-container>


				<ng-template #navWithChildren>
					<mat-nav-list role="navigation" class="two-level">
						<div mat-subheader>{{item.title}} </div>
						<ng-container *ngFor="let child of item.children">
							<a [routerLink]="['./'+item.router, child.router]"
								routerLinkActive="active"
								[routerLinkActiveOptions]="{ exact: true }"
								mat-list-item

							> {{child.title}} </a>

						</ng-container>
					</mat-nav-list>
				</ng-template>
			</ng-container>

		</mat-nav-list>
	</div>

	<div fxFlex="" *ngIf="entrantInfo" class="px-20">
		<router-outlet></router-outlet>

	</div>

</section>





